GS9.F

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/gs9-f/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/gs9-f/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1757462400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://storage.mfn.se/a98976b0-1b84-49f2-8511-9e4752f0f022/h100-group-acquires-additional-21-btc-total-holdings-reach-1-025-btc.pdf",
    "holding_balance": 1025.66,
    "holding_net_change": 21.0,
    "transaction_value_usd": 2365541.19,
    "average_entry_value_usd": 112644.82,
    "transaction_value_calculated": false
  },
  {
    "date": 1758067200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://storage.mfn.se/1394c045-0262-48c2-b9d3-44f11169a07d/h100-group-acquires-21-btc-total-holdings-reach-1-046.pdf",
    "holding_balance": 1046.66,
    "holding_net_change": 21.0,
    "transaction_value_usd": 2397727.36,
    "average_entry_value_usd": 114177.49,
    "transaction_value_calculated": false
  },
  {
    "date": 1770336000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://storage.mfn.se/08dca885-8769-42b6-a20b-13bb1d65d478/h100-group-acquires-4-39-btc-total-holdings-reach-1-051-btc.pdf",
    "holding_balance": 1051.05,
    "holding_net_change": 4.39,
    "transaction_value_usd": 284928.25,
    "average_entry_value_usd": 64903.93,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/gs9-f/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    1051.05
  ],
  [
    1779062400000,
    1051.05
  ],
  [
    1779148800000,
    1051.05
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/gs9-f/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    81382654.353
  ],
  [
    1779062400000,
    80872274.9835
  ],
  [
    1779148800000,
    80678608.51049998
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/gs9-f/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/gs9-f/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/gs9-f/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/gs9-f/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.005,
  "share_price_change_state": "down"
}